package com.engine.salary.enums.salaryarchive;


/**
 * 薪资档案-定薪类型
 * <p>Copyright: Copyright (c) 2022</p>
 * <p>Company: 泛微软件</p>
 *
 * @author qiantao
 * @version 1.0
 **/
public enum SalaryArchiveAddTypeEnum {

    INDUCTION(0, "入职", 85901),
    REHIRE(2, "返聘", 109535),
    TAXAGENTADJUST(1, "调整个税扣缴义务人", 93910);

    private int value;

    private String defaultLabel;

    private int labelId;

    SalaryArchiveAddTypeEnum(int value, String defaultLabel, int labelId) {
        this.value = value;
        this.defaultLabel = defaultLabel;
        this.labelId = labelId;
    }

    public int getValue() {
        return value;
    }

    public String getDefaultLabel() {
        return defaultLabel;
    }

    public int getLabelId() {
        return labelId;
    }


}
